Create a notification alert rule
POST
/api/notifications/alert-rules
const url = 'https://gateway.example.com/api/notifications/alert-rules';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","enabled":false,"type":"threshold","category":"node","severity":"info","metric":"example","metricTarget":"example","operator":">","thresholdValue":1,"durationSeconds":0,"fireThresholdPercent":100,"resolveAfterSeconds":60,"resolveThresholdPercent":100,"eventPattern":"example","resourceIds":[],"messageTemplate":"example","webhookIds":[],"cooldownSeconds":900}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gateway.example.com/api/notifications/alert-rules \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "enabled": false, "type": "threshold", "category": "node", "severity": "info", "metric": "example", "metricTarget": "example", "operator": ">", "thresholdValue": 1, "durationSeconds": 0, "fireThresholdPercent": 100, "resolveAfterSeconds": 60, "resolveThresholdPercent": 100, "eventPattern": "example", "resourceIds": [], "messageTemplate": "example", "webhookIds": [], "cooldownSeconds": 900 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
name
required
string
enabled
boolean
type
required
string
category
required
string
severity
string
metric
string
metricTarget
string | null
operator
string
thresholdValue
number
durationSeconds
integer
fireThresholdPercent
integer
resolveAfterSeconds
integer
resolveThresholdPercent
integer
eventPattern
string
resourceIds
Array<string>
messageTemplate
string
webhookIds
Array<string>
cooldownSeconds
integer
Responses
Section titled “Responses”Created
Media typeapplication/json
object
data
required
Resource object. Exact fields depend on the endpoint.
object
id
string
name
string
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Slack alerts", "enabled": true, "status": "success" }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}